"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class CancerTestedAdditional(object):
    """
    An enumeration Variant tested: * `not_indicated_for_patient_care`: No:
    not indicated for patient care at this time *
    `no_orthologous_test_available`: No: no orthologous test available
    * `test_performed_prior_to_wga`: Yes: test performed prior to
    receiving WGA (eg using standard-of-care assay such as panel
    testing, or sanger sequencing) *
    `technical_validation_following_wga`: Yes: technical validation
    performed/planned following receiving this WGA * `na`: N/A
    """

    not_indicated_for_patient_care = "not_indicated_for_patient_care"
    no_orthologous_test_available = "no_orthologous_test_available"
    test_performed_prior_to_wga = "test_performed_prior_to_wga"
    technical_validation_following_wga = "technical_validation_following_wga"
    na = "na"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "7.0.0"
